[Overview][Classes][Procedures and functions][Index] | Reference for unit 'fpmimetypes' (#fcl)

# TFPMimeTypes.LoadKnownTypes

Queries the OS for a list of known MIME types

## Declaration

Source position: fpmimetypes.pp line 60

`public procedure TFPMimeTypes.LoadKnownTypes; virtual;`

## Description

LoadKnownTypes uses the default mechanism of the OS to initialize the list of MIME types. Under windows, this loads a list of known extensions from the registry (under HKEY_CLASSES_ROOT) and attempts to load a mime.types located next to the application binary. Under unixlike OS-es, the system location for the mime.types is used to load the mime.types file.

## See also

TFPMimeTypes.LoadFromFile |  | Load mime types from a file in mime.types file format